### Method

# EDataServer SourceProxy set_http_host

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_set_http_host (
      ESourceProxy* extension,
      const gchar* http_host
    )

#### Description [src]

Sets the machine name to proxy HTTP through when `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_MANUAL`.

Available since: 3.12

Sets property | `EDataServer.SourceProxy:http-host`

#### Parameters

`http_host`

  Type: `const gchar*`

  HTTP proxy host name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.